# POC Appmonitor client cli

💡 **Idea**: For non PHP systems we prepare a compiled binary containing all written PHP checks. Then those non PHP systems do not need to implement the checks again.

## Requirements

* wget
* git
* PHP 8 cli (no webserver needed)

## Installation

How to bring up this project to live:

Clone this repository.

You get this initial structure:

```txt
.
├── build.php
├── inc_functions.php
├── inc_vars.php
├── installer.php
├── readme.md
└── src
    └── amcli.php
```

Run the `./installer.php` to download spc and prepare the micro build.

The newly created dirs:

```txt
.
├── build            << working directory for builds
│   
├── external
│   ├── appmonitor   << cloned IML appmonitor project
│   └── bin
│       └── spc      << downloaded spc binary
:
```

## Update

Run the installer again.

if you want to install a newer version of spc: remove the external/bin/ directory and run the installer again.

## Start over

Remove the dirs

- built_packages
- build
- external

And this file

- src/include_checks.php

Then start `./installer.php` and `./build.php`

## Compile

To compile `src/amcli.php`to `built_packages/amcli` start the `./build.php`

